<template>
  <InfoBox title="Quartalsberichte">
    <table class="w-full table-auto border-collapse">
      <tbody>
        <tr v-for="(item, index) in earningsReports" :key="index">
          <td :class="{ 'pb-2': index < earningsReports.length - 1 }">
            {{ item.companyName }}
          </td>
          <td class="text-right">
            {{ item.date | date }}
          </td>
          <td class="text-right">
            <a :href="item.reportLink" class="dark:text-brand-white">Download</a>
          </td>
        </tr>
      </tbody>
    </table>
  </InfoBox>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

export default Vue.extend({
  computed: {
    ...mapState({
      earningsReports: (state: any) => state.earningsReports
    })
  }
});
</script>
